Bug 75344 - [PATCH] PostgreSQL New Order
[PATCH] PostgreSQL New Order
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: portmgr
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 02:20 UTC by Palle Girgensohn
Modified: 2005-01-31 00:44 UTC (History)
1 user (show)

See Also:


Attachments
file.shar (1.15 KB, text/plain)
2004-12-21 02:20 UTC, Palle Girgensohn
no flags Details
pg.diff.gz (42.11 KB, text/plain)
2004-12-21 02:20 UTC, Palle Girgensohn
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Palle Girgensohn freebsd_committer 2004-12-21 02:20:29 UTC
Hi!

This is a mega patch to add knobs for PostgreSQL in Mk/bsd.ports.mk

# USE_PGSQL	- Add PostgreSQL client dependency.
#		  If no version is given (by the maintainer via the port or
#		  by the user via defined variable), try to find the
#		  currently installed version.  Fall back to default if
#		  necessary (PostgreSQL-7.4 = 74).
# DEFAULT_PGSQL_VER
#		- PostgreSQL default version. Can be overridden within a port.
#		  Default: 74.
# WANT_PGSQL_VER
#		- Maintainer can set an arbitrary version of PostgreSQL by
#		  using it.
# BROKEN_WITH_PGSQL
#		- This variable can be defined if the ports doesn't support
#		  one or more versions of PostgreSQL.

Since it modifies bsd.port.mk, and since so many ports are touched, it
might be proper to run this through the Experimantal build?

The fixes for each port are very trivial so it is really a low risk
patch, although there are many ports involved.

I stress that this really ought to be comitted before 4.11. There are
now a whole bunch of BROKEN repocopied postgresql ports, and that work
will have been in vain without this patchset.

Approved-by: ade & seanc (mentors)

(There's one port that will break, japanese/postgresql-tcltk. I'm
waiting for a maintainer response. If I don't hear anything real soon
now, I'll fix it myself.)

Fix: add the postgresql80-client port from the shar and apply the uuencoded
patchset
Comment 1 Palle Girgensohn freebsd_committer 2004-12-21 02:26:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to portmgr for review. 
Perhaps we want this to pass an experimental build?
Comment 2 girgen 2004-12-27 23:02:41 UTC
Hi kris,

I've put a fresh patchset, with fixes to the reported problems, to 
<http://people.freebsd.org/~girgen/pg.diff.bz2>
Comment 3 Palle Girgensohn freebsd_committer 2005-01-31 00:43:29 UTC
State Changed
From-To: open->closed

All the bits of the PostgreSQL New Order are finally committed.